Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 608712 (CVE-2017-5896) - <app-text/mupdf-1.10a-r1: heap overflow
Summary: <app-text/mupdf-1.10a-r1: heap overflow
Status: RESOLVED FIXED
Alias: CVE-2017-5896
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B3 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-09 09:15 UTC by Agostino Sarubbo
Modified: 2017-02-19 12:51 UTC (History)
1 user (show)

See Also:
Package list:
=app-text/mupdf-1.10a-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-02-09 09:15:30 UTC
From ${URL} :

there in an heap overflow in fz_subsample_pixmap.

The bug was discovered by Kamil Frankowicz which said to have tested it 
against the current git head.
The same testcase does not crash the current stable 1.10a, but I can confirm 
(with a round of fuzzing on 1.10a) that stable is affected.

No fix atm.

Details:
https://bugs.ghostscript.com/show_bug.cgi?id=697515

Reproducer for 1.10a:
https://github.com/asarubbo/poc/blob/master/00148-mupdf-heapoverflow-fz_subsample_pixmap



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 2 Michael Weber (RETIRED) gentoo-dev 2017-02-09 21:11:22 UTC
commit 54f3dbbee64dfa9de3193a16daa5ff254d4963b2
Author: Michael Weber <xmw@gentoo.org>
Date:   Thu Feb 9 22:10:20 2017 +0100

    app-text/mupdf: Revbump to fix null pointer dereference (bug 608702) and heap overflow (bug 608712).
    
    Package-Manager: Portage-2.3.3, Repoman-2.3.1
Comment 3 Jeroen Roovers gentoo-dev 2017-02-11 13:56:03 UTC
Stable for HPPA.
Comment 4 Agostino Sarubbo gentoo-dev 2017-02-12 14:49:08 UTC
amd64 stable
Comment 5 Agostino Sarubbo gentoo-dev 2017-02-12 15:48:32 UTC
x86 stable
Comment 6 Agostino Sarubbo gentoo-dev 2017-02-12 17:04:29 UTC
ppc stable
Comment 7 Michael Weber (RETIRED) gentoo-dev 2017-02-12 21:59:37 UTC
ppc64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2017-02-13 16:36:38 UTC
arm stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 9 Michael Weber (RETIRED) gentoo-dev 2017-02-13 17:07:16 UTC
commit f7f45315f7279b0a380dcb6728d5ffb033bd2c4e
Author: Michael Weber <xmw@gentoo.org>
Date:   Mon Feb 13 18:04:53 2017 +0100

    app-text/mupdf: Remove old version (bug 608712, bug 608702).
    
    Package-Manager: Portage-2.3.3, Repoman-2.3.1

app-text/mupdf/mupdf-1.10a.ebuild
Comment 10 Thomas Deutschmann gentoo-dev Security 2017-02-17 09:09:55 UTC
Added to an existing GLSA request.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2017-02-19 12:51:10 UTC
This issue was resolved and addressed in
 GLSA 201702-12 at https://security.gentoo.org/glsa/201702-12
by GLSA coordinator Thomas Deutschmann (whissi).